Name:           python-xontrib-argcomplete
Version:        0.3.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Argcomplete support for python and xonsh scripts in xonsh shell.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/anki-code/xontrib-argcomplete
Source:         %{pypi_source xontrib_argcomplete}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'xontrib-argcomplete' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-xontrib-argcomplete
Summary:        %{summary}

%description -n python3-xontrib-argcomplete %_description


%prep
%autosetup -p1 -n xontrib_argcomplete-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-xontrib-argcomplete -f %{pyproject_files}


%changelog
%autochangelog